# Uses of Interface
org.opensaml.xmlsec.signature.support.ContentReference

Packages that use ContentReference
Package
Description
org.opensaml.saml.common
Base classes for working with SAML as Java objects.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.

## Uses of ContentReference in org.opensaml.saml.common

Classes in org.opensaml.saml.common that implement ContentReference
Modifier and Type
Class
Description
`class`
`SAMLObjectContentReference`
A content reference for SAML objects that will be signed.

## Uses of ContentReference in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type ContentReference
Modifier and Type
Method
Description
`List<ContentReference>`
Signature.`getContentReferences()`
Gets the list of signature content references.

## Uses of ContentReference in org.opensaml.xmlsec.signature.impl

Fields in org.opensaml.xmlsec.signature.impl with type parameters of type ContentReference
Modifier and Type
Field
Description
`private List<ContentReference>`
SignatureImpl.`contentReferences`
References to content to be signed.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type ContentReference
Modifier and Type
Method
Description
`List<ContentReference>`
SignatureImpl.`getContentReferences()`
Gets the list of signature content references.

## Uses of ContentReference in org.opensaml.xmlsec.signature.support

Subinterfaces of ContentReference in org.opensaml.xmlsec.signature.support
Modifier and Type
Interface
Description
`interface`
`ConfigurableContentReference`
A specialization of `ContentReference` which allows some signature reference properties to be specified.
`interface`
`TransformsConfigurableContentReference`
A specialization of `ContentReference` which allows signature transforms to be specified.
Classes in org.opensaml.xmlsec.signature.support that implement ContentReference
Modifier and Type
Class
Description
`class`
`DocumentInternalIDContentReference`
A content reference that references Elements withing the same document by ID attribute.
`class`
`URIContentReference`
A generic content reference that uses a URI to reference the content to be signed.
Methods in org.opensaml.xmlsec.signature.support with parameters of type ContentReference
Modifier and Type
Method
Description
`private static void`
SignatureSupport.`addOrReplaceReferenceCanonicalizationTransform(ContentReference cr, String uri)`
Process the indicated content reference and either add or replace its canonicalization Transform algorithm with the indicated algorithm.